<div class="col-md-6 col-xl-4 px-1 mb-3" id="task_{{ task.id_task }}">
    <div class="card card-body">
        <h4 class="card-title"><a target="_blank" href="{{ task.admin_link }}">
            🔗 {{ task.project.name }}
        </a></h4>
        <h6 class="card-subtitle mb-2 text-muted">
            <span class="badge badge-light" data-toggle="tooltip" data-placement="top" title="{{ task.created_at|date:"d/m/Y, H:i:s" }}">
                {{ task.created_at|timesince }}
            </span>
            <!-- get_priority_display -->
            {% if task.priority_id == 1 or task.priority_id == 2 %}
                <span class="badge badge-danger font-size-lg">
                    {{ task.priority }}
                </span>
            {% endif %}
        </h6>
        <blockquote class="blockquote">
            <p class="mb-0 card-text">
                {{ task.description }}
            </p>
            <footer class="blockquote-footer">
                {{ task.requester_email }}
            </footer>
        </blockquote>
        {% if task.comment.all.count > 0 %}
            <hr />
            <div>
                {% for comment in task.comment.all|dictsortreversed:"id_comment" %}
                    {% if forloop.first %}
                        <div class="comment">
                            <p>
                                {{ comment.text }}
                            </p>
                            <p class="blockquote-footer">
                                <img src="{{ comment.member.avatar_url }}" class="avatar" />
                                {{ comment.member.display_name }}
                                <span class="badge badge-light" data-toggle="tooltip" data-placement="top" title="{{ comment.created_at|date:"d/m/Y, H:i:s" }}">
                                    {{ comment.created_at|timesince }}
                                </span>
                            </p>
                        </div>
                        {% if task.comment.all.count > 1 %}
                        <details>
                            <summary>
                                View previous comments
                            </summary>
                        {% endif %}
                    {% else %}
                        <div class="small comment">
                            <p>
                                {{ comment.text }}
                            </p>
                            <p class="blockquote-footer">
                                <img src="{{ comment.member.avatar_url }}" class="avatar" />
                                {{ comment.member.display_name }}
                                <span class="badge badge-light" data-toggle="tooltip" data-placement="top" title="{{ comment.created_at|date:"d/m/Y, H:i:s" }}">
                                    {{ comment.created_at|timesince }}
                                </span>
                            </p>
                        </div>
                    {% endif %}
                    {% endfor %}
                </details>
            </div>
        {% endif %}
        <hr />
        <p class="card-text">
            {% for assignee in task.assignee.all %}
                <span class="badge badge-light font-size-lg assignee_{{ assignee.id_member }}">
                    <img src="{{ assignee.avatar_url }}" class="avatar" /> {{ assignee.email.0 }}{{ assignee.email.1 }}{# only display first 2 letters of email address #}
                </span>
            {% endfor %}
            <span class="badge
            {% if task.status == "feedback" %}
                badge-warning
            {% elif task.status == "done" or task.status == "TRAITE" or task.status == "Terminé" %}
                badge-success
            {% else %}
                badge-light
            {% endif %}
            font-size-lg task-{{ task.status }}">
                {% if task.status %}
                    {{ task.status|title }}
                {% else %}
                    Unknown status
                {% endif %}
            </span>
            <span class="btn btn-outline-primary btn-sm reload" onclick="reload_task({{ task.id_task }})" id="reload_{{ task.id_task }}">🔄</span>
            <span class="idsmall">#{{ task.id_task }}</span>
        </p>
    </div>
</div>
